<?php


namespace App\Entities\UsuarioPerfil;


use App\Utils\Entity;

class UsuarioPerfil extends Entity
{
    protected $id;
    protected $id_usuario;
    protected $id_perfil;

    public static function builder() : UsuarioPerfilBuilder
    {
        $usuario_perfil_builder = new UsuarioPerfilBuilder();
        return $usuario_perfil_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getIdUsuario() : int
    {
        return $this->id_usuario;
    }

    public function getIdPerfil() : int
    {
        return $this->id_perfil;
    }

    public function setId(int $id): void
    {
        $this->id = $id;
    }

    public function setIdUsuario(int $id_usuario): void
    {
        $this->id_usuario = $id_usuario;
    }

    public function setIdPerfil(int $id_perfil): void
    {
        $this->id_perfil = $id_perfil;
    }
}